nx_metadata_sdk 1.0 Metadata SDK

Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
nx::sdk::analytics::IMetadataTypes Class Referenceabstract
Inheritance diagram for nx::sdk::analytics::IMetadataTypes:

## Public Member Functions
Ptr< const IStringList > | eventTypeIds () const
Ptr< const IStringList > | objectTypeIds () const
virtual bool | isEmpty () const =0
Public Member Functions inherited from nx::sdk::Interface< IMetadataTypes >
virtual IRefCountable * | queryInterface (const InterfaceId *id)
Ptr< Interface > | queryInterface ()
Ptr< const Interface > | queryInterface () const
Public Member Functions inherited from nx::sdk::IRefCountable
virtual | ~IRefCountable ()=default
template<class Interface >
Ptr< Interface > | queryInterface ()
template<class Interface >
Ptr< const Interface > | queryInterface () const
virtual int | addRef () const =0
virtual int | releaseRef () const =0
int | refCountThreadUnsafe () const

## Static Public Member Functions
static auto | interfaceId ()
Static Public Member Functions inherited from nx::sdk::IRefCountable
static auto | interfaceId ()

## Protected Member Functions
virtual const IStringList * | getEventTypeIds () const =0
virtual const IStringList * | getObjectTypeIds () const =0
Protected Member Functions inherited from nx::sdk::Interface< IMetadataTypes >
virtual IRefCountable * | queryInterface (const IRefCountable::InterfaceId *id) override
IRefCountable * | queryInterfaceSupportingDeprecatedId (const IRefCountable::InterfaceId *id, const Uuid &deprecatedInterfaceId)

## Additional Inherited Members
Static Protected Member Functions inherited from nx::sdk::IRefCountable
template<int len>
static constexpr const InterfaceId * | makeId (const char(&charArray)[len])
template<class TemplateInstance , class TemplateArg , int len>
static const InterfaceId * | makeIdForTemplate (const char(&baseIdCharArray)[len])

## Member Function Documentation

## ◆ getEventTypeIds()

virtual const IStringList* nx::sdk::analytics::IMetadataTypes::getEventTypeIds | ( |  | ) | const
| protected pure virtual

Called by eventTypeIds()

## ◆ getObjectTypeIds()

virtual const IStringList* nx::sdk::analytics::IMetadataTypes::getObjectTypeIds | ( |  | ) | const
| protected pure virtual

Called by objectTypeIds()

The documentation for this class was generated from the following file:

- src/nx/sdk/analytics/i_metadata_types.h